<?php

class Authsafe extends AuthSafeController

{

    public function preAction()

    {

        // Restore structure view l0ocati.on of the admin portal

        $this->structure->setDefaultView(APPDIR);



        Loader::loadComponents($this, ['Session', 'Emails', 'Clients', 'Users', 'Contacts', 'Html', 'Companies']);



        $this->uses(['Clients', 'AuthSafe.SaveManageOptions', 'Users', 'AuthSafe.SaveManagePolicies', 'Staff', 'AuthSafe.AuthSafeApi']);



        Language::loadLang('auth_safe_plugin', null, PLUGINDIR . 'auth_safe' . DS . 'language' . DS);

    }



  

    public function validate()

    {

        $url="";

        $client_id=0;

        $login_url=$this->client_uri.'login';



        if (isset($this->get[0]) && !empty($this->get[0]) && isset($this->get[1]) && !empty($this->get[1]) && isset($this->get[2]) && !empty($this->get[2])) {

            $url='https://a.authsafe.ai/v1/devices/'.base64_decode($this->get[1]).'/'.$this->get[0];

            if ($this->get[0]!="approve" && $this->get[0]!="deny") {

                $this->redirect($this->base_uri.'404');

                exit();

            }

            $client_id=$this->getDecryptedHash($this->get[2]);

        } else {

            $this->redirect($this->base_uri.'404');

            exit();

        }



        $response=$this->AuthSafeApi->apiCall([], $url);



        if (isset($response["status"]) && $response["status"] =="success" && $this->get[0]=="approve") {

            echo '<div style="padding: .75rem 1.25rem;margin-bottom: 1rem;border: 1px solid transparent;border-radius: .25rem;text-align: center;color: #155724;background-color: #d4edda;border-color: #c3e6cb;">

              '.(isset($response["message"])?$response["message"]: Language::_(

                'AuthSafePlugin.device.approve.message', true

            )

                ).'

              '.str_replace("{link}", $login_url, Language::_('AuthSafePlugin.redirect.message', true)).'

            </div>';

            echo '

                <script>

                    setTimeout(function(){ 

                        window.location="'.$login_url.'";

                    }, 2000);

                </script>

            ';

        } elseif ($this->get[0]=="approve") {

            $this->redirect($login_url);

        } elseif ($this->get[0]=="deny") {

            $this->redirect($login_url.'/reset');

        } else {

            $this->redirect($this->base_uri.'404');

        }

        exit();

    }



    private function getEncryptedHash($value='')

    {

        $ciphering = "AES-128-CTR";

  

        // Use OpenSSl Encryption method

        $iv_length = openssl_cipher_iv_length($ciphering);



        // Non-NULL Initialization Vector for encryption

        $encryption_iv = '1234567891011121';



        // Store the encryption key

        $encryption_key = "AuthSafeEncryptedHash";



        // Use openssl_encrypt() function to encrypt the data

        return str_replace(['+','/','='], ['-','_',''], base64_encode(

                openssl_encrypt(

                    $value, $ciphering, $encryption_key, 0, $encryption_iv

                )

            )

        );

    }



    private function getDecryptedHash($value='')

    {

        $ciphering = "AES-128-CTR";



        $decryption_iv = '1234567891011121';

          

        // Store the decryption key

        $decryption_key = "AuthSafeEncryptedHash";

          

        // Use openssl_decrypt() function to decrypt the data

        return openssl_decrypt(

            base64_decode($value), $ciphering, $decryption_key, 0, $decryption_iv

        );

    }    

}

