<?php



class Hooks extends AuthSafeController

{

    public function preAction()

    {

        // Restore structure view location of the admin portal

        $this->structure->setDefaultView(APPDIR);



        Loader::loadComponents($this, ['Session', 'Emails', 'Clients', 'Users', 'Contacts', 'Html', 'Companies']);



        $this->uses(['Clients', 'AuthSafe.SaveManageOptions', 'Users', 'AuthSafe.SaveManagePolicies', 'Staff', 'AuthSafe.AuthSafeApi']);



        Language::loadLang('auth_safe_plugin', null, PLUGINDIR . 'auth_safe' . DS . 'language' . DS);

    }



    public function webhook()

    {

        if (count($_REQUEST)>0) {

            if (isset($_REQUEST["status"]) && !empty($_REQUEST["status"]) && isset($_REQUEST["severity"]) && !empty($_REQUEST["severity"]) && isset($_REQUEST["user"]) && !empty($_REQUEST["user"])) {

                $status  = $_REQUEST['status'];

                $severity  = $_REQUEST['severity'];

                $user  = $_REQUEST['user'];

                $userId = $user['user_id'];

                $client = $this->Clients->getByUserId($userId);



                $policies=$this->SaveManagePolicies->get();

                if ($status=="deny" && $severity=="critical" && isset($policies->deny) && ($policies->deny == 1 || $policies->deny =='1') && isset($client->id)) {

                    $status=$this->AuthSafeApi->resetPasswordEmail((isset($client->id)?$client->id:false), (isset($_REQUEST["device"]["ip"])?["ip_address" => $_REQUEST["device"]["ip"]]:[]));

                    $this->printJson(

                        [

                            "status" => ($status?"success":"error"),

                            "message" => "parameters not found.",

                        ]

                    );

                }



            } else {

                $this->printJson(

                    [

                        "status" => "error",

                        "message" => "parameters not found.",

                    ]

                );

            }

        } else {

            $this->printJson(

                [

                    "status" => "error",

                    "message" => "Invalid",

                ]

            );

        }

    }



    private function printJson($args=[])

    {

        header("HTTP/1.1 200 OK");

        echo json_encode($args);

        exit;

    }

}